#### D.15.10.4 LRmult

Procedure from library `lrcalc.lib` (see lrcalc_lib).

Usage:
  LRmult(x, y); x, y lists of integers (partitions)
  LRmult(x, y [, s, r]); x, y lists of integers (partitions), s string equal to 'r', r integer
  LRmult(x, y [, s, m, k]); x, y lists of integers (partitions), s string equal to 'q' or 'f', m, k integers

Return:
  list of lists

Purpose:
  computes the partitions z for which the Littlewood-Richardson coefficient c^z_{x,y} is non-zero together with that coefficient; partitions up to length r

Note:

Example:

    LIB "lrcalc.lib";
    // Compute the partitions z for which the Littlewood-Richardson coefficient
    // c^z_{x,y} is non-zero together with that coefficient
    // for x= (2, 1), y=(2, 1)
    list x = 2, 1;
    list y = 2, 1;
    LRmult(x, y);
    // Now compute only the partitions with at most 2 entries
    LRmult(x, y, "r", 2);
    // Now compute the product in the quantum cohomology ring of the Grassmannian Gr(3,3+2).
    LRmult(x, y, "q", 3, 2);
    // Compute the same product with the output given in fusion ring notation
    LRmult(x, y, "f", 3, 2);

User manual for Singular version 4.4.1, 2025, generated by texi2html.